@charset "UTF-8";

/*=======================================================*/
/*      		ヘッダー、ナビのCSS   			  		  */
/*======================================================*/

/* ヘッダー */
#header {
	/*height: 112px;*/	/*テンプレ初期値*/
	background-color: var(--base-color);
}
@media (min-width: 769px) {
	#header {
		position: relative;
		z-index: 2;	
	}
}
@media (max-width: 768px) {
	#header{
		position: fixed;/*fixedを設定して固定*/
		z-index: 100;/*最前面へ*/
		top:0;/*位置指定*/
		left:0;/*位置指定*/		
		background-color:#ffffffd4;
		/* padding-left: 10px; */
		width: 100%;
	}
}

/* ヘッダー */
.header-details{
	font-size: 13px;
	line-height: 1.5;
}

.header-container {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
@media only screen and (max-width: 768px) {
	.header-container {
		margin-top: 10px;
		height: 100%;
		text-align: left;
		margin-bottom: 5px; /*logoロゴ下の余白*/
	}
}

/* ナビゲーションボタン */
#navbtn {
	padding-right: 10px;
	outline: none;
	border: none;
	background: transparent;
	cursor: pointer;
	color: var(--main-color);
	font-size: 30px;
}

.open #navbtn {
	z-index: 110;
	color: #ffffff;
}

#navbtn .fa-bars {
	display: revert;
}
.open #navbtn .fa-bars {
	display: none;
}

#navbtn .fa-times {
	display: none;
}
.open #navbtn .fa-times {
	display: revert;
}

@media print, screen and (min-width: 769px) {
	#navbtn {
		display: none;
	}
}


/*ロゴ*/
/* .site{
	font-weight: bold;
	color: #000;
	font-family: "游明朝体", "Yu Mincho", YuMincho, "ヒラギノ明朝 Pro", "Hiragino Mincho Pro", "MS P明朝", "MS PMincho","Noto Serif JP", serif;
	font-size: clamp(17px,1.4vw,22px);
	white-space:nowrap;
}

.site span{
	font-family: "游ゴシック体", YuGothic, "游ゴシック Medium", "Yu Gothic Medium", "游ゴシック", "Yu Gothic", sans-serif;
	font-size:clamp(13px,1.4vw,16px);
}*/
/* スマホサイズの時に全体を縮小 */
/* 80%に縮小 */
/* @media (max-width: 390px) {
    .site {
        transform: scale(0.80);  
    }
}  */

/*ロゴ*/
img.logo{
	width: 450px;
}
@media (max-width: 935px) {
	img.logo{
		width: 300px;
	}
}
@media (max-width: 390px) {
	img.logo{
		width: 350px;
	}
}
@media (max-width: 372px) {
	img.logo{
		width: 200px;
	}
}


/* ナビゲーションメニュー：モバイル */
@media only screen and (max-width: 768px) {
	.nav {
		position: fixed;
		inset: 0 -100% 0 100%;
		z-index: 100;
		background-color: #373737e2;
		transition: transform 0.3s;
	}

	.open .nav {
		transform: translate(-100%, 0);
	}

	.open body {
		position: fixed;
		overflow: hidden;
	}

	.nav ul {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		height: 100%;
		gap: 40px;
		color: #ffffff;
		text-align: center;
	}
}

/* ナビゲーションメニュー：PC */
@media print, screen and (min-width: 769px) {

	.nav {		
		position: relative;
		z-index: 1;
	}
	.nav ul {
		display: flex;
		/* gap: 7%; */
		color: #454545;
		justify-content: center;
		align-items: center;
		list-style: none;
		height: 50px;
		z-index: 10;
		height: 60px;
	}
	.nav a:hover{
		color: #000000;
		border-bottom: 1px solid #000000;
	}
	.nav ul li{
		font-weight: 600;
		list-style-type: none;
		color: #767171;
		flex-grow: 1;
		text-align: center;
		font-size: clamp(14px,1.4vw,16px);
	}
	.nav .current {
		color: #000000;
	}
	
	/* currentクラスにのみ下線を適用 */
	.nav .current a {
		border-bottom: 1px solid #000000;
	}
	
	/* 疑似要素のスタイルを修正 */
	nav ul li:first-child::before {
		content: "|";
		color: #767171;  
		padding-right: 5px;
	}
	
	nav ul li::after {
		content: "|";
		color: #767171;
		padding-left: 5px;
		padding-right: 5px;
	}
	
	/* currentクラスに下線を引いた場合、疑似要素には影響を与えない */
	.nav .current::before, 
	.nav .current::after {
		border-bottom: none; /* |には下線を引かない */
	}
	@media only screen and (max-width: 767px) {
		nav ul li::after{
			content: none;
		}
		nav ul li:first-child::before{
			content: none;
		}
	}

}